Bug 144841 - [NEW PORT] misc/xsw: a tool for generating presentations
Summary: [NEW PORT] misc/xsw: a tool for generating presentations
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-18 02:00 UTC by Charlie Kester
Modified: 2010-03-30 19:20 UTC (History)
0 users

See Also:


Attachments
xsw-0.3.5.shar (3.38 KB, text/plain)
2010-03-18 02:00 UTC, Charlie Kester
no flags Details
Makefile (1.16 KB, text/plain; charset=us-ascii)
2010-03-24 05:13 UTC, Charlie Kester
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie Kester 2010-03-18 02:00:09 UTC
xsw is a tool for generating presentations.
It uses a simple language to describe the slides.

An example xsw file is:

    slide:
      - "Hello" x:50 y:30 align:center
      + "World!"

WWW:	http://code.google.com/xsw/
Comment 1 Dmitry Marakasov freebsd_committer 2010-03-22 02:31:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2010-03-22 14:40:55 UTC
State Changed
From-To: open->feedback

Fails on 6.x http://people.freebsd.org/~amdmi3/xsw-0.3.5.log
Comment 3 Charlie Kester 2010-03-24 05:13:04 UTC
Attached is a revised port Makefile which passes all tests in my
6.4-FreeBSD tinderbox.

Changes:

Replace LIB_DEPENDS with USE_SDL

Add ${PTHREAD_LIBS} to CONFIGURE_ENV

Comment 4 Dmitry Marakasov 2010-03-24 12:38:10 UTC
* Charlie Kester (corky1951@comcast.net) wrote:

> Replace LIB_DEPENDS with USE_SDL

Yep, thanks, I forgot to mention that.

Also, are you sure you need all the extra complexity only to favor
NO_INSTALL_MANPAGES no one really uses?

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Charlie Kester 2010-03-25 16:45:57 UTC
Even if it's true that no one uses NO_INSTALL_MANPAGES we should still
honor the implied promise that it will work.  So unless you strongly
object, let's leave the ifndef's in there.
Comment 6 dfilter service freebsd_committer 2010-03-30 19:13:59 UTC
amdmi3      2010-03-30 18:13:51 UTC

  FreeBSD ports repository

  Modified files:
    misc                 Makefile 
  Added files:
    misc/xsw             Makefile distinfo pkg-descr pkg-plist 
  Log:
  xsw is a tool for generating presentations.
  It uses a simple language to describe the slides.
  
  An example xsw file is:
  
      slide:
        - "Hello" x:50 y:30 align:center
        + "World!"
  
  WWW:    http://code.google.com/xsw/
  
  PR:             144841
  Submitted by:   Charlie Kester <corky1951@comcast.net>
  
  Revision  Changes    Path
  1.939     +1 -0      ports/misc/Makefile
  1.1       +61 -0     ports/misc/xsw/Makefile (new)
  1.1       +3 -0      ports/misc/xsw/distinfo (new)
  1.1       +10 -0     ports/misc/xsw/pkg-descr (new)
  1.1       +30 -0     ports/misc/xsw/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Dmitry Marakasov freebsd_committer 2010-03-30 19:14:04 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!